Bug 2004946 - "hello-openshift" template application wrong binary format
Summary: "hello-openshift" template application wrong binary format
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.z
Hardware: s390x
OS: Linux
medium
high
Target Milestone: ---
: 4.7.z
Assignee: Samuel Padgett
QA Contact: Douglas Slavens
URL:
Whiteboard:
Depends On: 1766287
Blocks: OCP/Z_4.2 ocp-42-45-z-tracker
TreeView+ depends on / blocked
 
Reported: 2021-09-16 13:35 UTC by OpenShift BugZilla Robot
Modified: 2021-10-12 19:52 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-12 19:52:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10089 0 None open [release-4.7] Bug 2004946: Use httpd in workload YAML templates 2021-09-16 13:45:57 UTC
Red Hat Product Errata RHBA-2021:3686 0 None None None 2021-10-12 19:52:36 UTC

Comment 1 Yanping Zhang 2021-09-22 02:30:30 UTC
Hi Douglas, could you/your team help to verify the fix for the bug on s390x?

Comment 4 Tom Dale 2021-09-23 19:40:44 UTC
I've check on both openshift 4.7.13 and 4.7.32 for s390x and the default pod yaml template is still
 "
apiVersion: v1
kind: Pod
metadata:
  name: example
  labels:
    app: hello-openshift
  namespace: default
spec:
  containers:
    - name: hello-openshift
      image: openshift/hello-openshift
      ports:
        - containerPort: 8080
"

As reported in the original bug openshift/hello-openshift is not a multiarch image so the pod fails with "exec format error" . 

I'm not sure how to check what z stream release we should be able to see this changed in with that PR, but I assume we should be have seen in it 4.7.32 since that was from yesterday Sep 22nd.

Comment 5 Samuel Padgett 2021-09-24 10:41:25 UTC
Tom, the PR does replace the pod YAML template. I suspect you're not testing a version with the change.

https://github.com/openshift/console/pull/10089/files#diff-164629c8595b6c8031db084bd92b087970b1d80e44b12cf6922d6bed1f397584R413

Comment 7 Douglas Slavens 2021-10-06 14:50:37 UTC
This verification is currently in progress.

Comment 8 Tom Dale 2021-10-06 15:30:32 UTC
Tried on version 4.7.33 on Z and the fix is now present. Thanks

Comment 10 errata-xmlrpc 2021-10-12 19:52:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.33 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3686


Note You need to log in before you can comment on or make changes to this bug.